| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
GMTNearNeighborGrid Class Reference

`#include <gmtarray2dinterpol.h>`

Inheritance diagram for GMTNearNeighborGrid:
[legend]

## Public Member Functions
| GMTNearNeighborGrid ()
bool | fillPar (IOPar &) const override
float | getRadius () const
uiString | infoMsg () const override
void | setRadius (float)
const char * | type () const
bool | usePar (const IOPar &) override
Public Member Functions inherited from GMTArray2DInterpol
| ~GMTArray2DInterpol ()
Public Member Functions inherited from Array2DInterpol
virtual | ~Array2DInterpol ()
virtual bool | canUseArrayAccess () const
void | doPolygonCrop ()
FillType | getFillType () const
float | getMaxHoleSize () const
bool | isClassification () const
virtual bool | nothingToFill () const
virtual bool | setArray (Array2D< float > &, TaskRunner *=0)
| Set AFTER all settings.
virtual bool | setArray (ArrayAccess &, TaskRunner *=0)
| Set AFTER all settings.
void | setClassification (bool)
void | setColStep (float r)
void | setFillType (FillType)
void | setMask (const Array2D< bool > *, OD::PtrPolicy=OD::UsePtr)
void | setMaxHoleSize (float)
void | setOrigin (const RowCol &)
void | setRowStep (float r)
void | setSampling (const TrcKeySampling &)
| Set both steps and the origin.
void | setTrendOrder (PolyTrend::Order ord)
bool | trimArray (int step, Array2D< char > &edgesmask)
Public Member Functions inherited from ParallelTask
virtual | ~ParallelTask ()
void | doParallel (bool yn)
bool | execute () override
virtual bool | executeParallel (bool parallel)
od_int64 | nrDone () const override
| May be -1, i.e. class does not report nrdone.
od_int64 | totalNr () const override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
virtual uiString | uiNrDoneText () const
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static Array2DInterpol * | create ()
static const char * | sType ()
Static Public Member Functions inherited from Array2DInterpol
static const char * | sKeyColStep ()
static const char * | sKeyCropPolygon ()
static const char * | sKeyFillType ()
static const char * | sKeyMaxHoleSz ()
static const char * | sKeyNrCells ()
static const char * | sKeyNrCols ()
static const char * | sKeyNrRows ()
static const char * | sKeyOrigin ()
static const char * | sKeyPolyNode ()
static const char * | sKeyPolyNrofNodes ()
static const char * | sKeyRowStep ()
Static Public Member Functions inherited from ParallelTask
static uiString | sPosFinished ()
static uiString | sTrcFinished ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Private Member Functions
bool | fillCommand (OS::MachineCommand &) override

## Private Attributes
float | radius_

## Additional Inherited Members
Public Types inherited from Array2DInterpol
enum | FillType { HolesOnly , ConvexHull , Full , Polygon }
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated
Protected Member Functions inherited from GMTArray2DInterpol
| GMTArray2DInterpol ()
bool | doFinish (bool) override
bool | doPrepare (int) override
bool | doWork (od_int64, od_int64, int) override
int | maxNrThreads () const override
od_int64 | nrDone () const override
od_int64 | nrIterations () const override
od_int64 | totalNr () const override
uiString | uiMessage () const override
Protected Member Functions inherited from Array2DInterpol
| Array2DInterpol ()
void | excludeBigHoles (const bool *isdef, bool *shouldinterpol) const
void | floodFillArrFrom (int seed, const bool *isdef, bool *shouldinterpol) const
void | getNodesToFill (const bool *isdef, bool *shouldinterpol, TaskRunner *) const
bool | isDefined (int idx) const
virtual void | setFrom (od_int64 target, const od_int64 *sources, const float *weights, int nrsrc)
Protected Member Functions inherited from ParallelTask
| ParallelTask (const char *nm=0)
void | addToNrDone (od_int64 increment)
od_int64 | calculateThreadSize (od_int64 totalnr, int nrthreads, int thread) const
virtual int | minThreadSize () const
void | quickAddToNrDone (od_int64 loopidx)
void | resetNrDone ()
virtual bool | stopAllOnFailure () const
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Attributes inherited from GMTArray2DInterpol
BufferString | defundefpath_
uiString | msg_
bool * | nodes_
int | nrdone_
BufferString | path_
od_ostream * | sd_ = nullptr
od_ostream * | sdmask_ = nullptr
Protected Attributes inherited from Array2DInterpol
Array2D< float > * | arr_
ArrayAccess * | arrsetter_
float | colstep_
bool | croppoly_
FillType | filltype_
bool | isclassification_
const Array2D< bool > * | mask_
bool | maskismine_
float | maxholesize_
int | nrcells_
int | nrcols_
int | nrrows_
RowCol | origin_
ODPolygon< double > * | poly_
float | rowstep_
Stats::CalcSetup * | statsetup_
PolyTrend * | trend_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ GMTNearNeighborGrid()

GMTNearNeighborGrid::GMTNearNeighborGrid | ( |  | ) |

## Member Function Documentation

## ◆ create()

static Array2DInterpol * GMTNearNeighborGrid::create | ( |  | ) |
| static

## ◆ fillCommand()

bool GMTNearNeighborGrid::fillCommand | ( | OS::MachineCommand & |  | ) |
| override private virtual

Implements GMTArray2DInterpol.

## ◆ fillPar()

bool GMTNearNeighborGrid::fillPar | ( | IOPar & |  | ) | const
| override virtual

Reimplemented from Array2DInterpol.

## ◆ getRadius()

float GMTNearNeighborGrid::getRadius | ( |  | ) | const
| inline

## ◆ infoMsg()

uiString GMTNearNeighborGrid::infoMsg | ( |  | ) | const
| override virtual

Reimplemented from Array2DInterpol.

## ◆ setRadius()

void GMTNearNeighborGrid::setRadius | ( | float |  | ) |

## ◆ sType()

static const char * GMTNearNeighborGrid::sType | ( |  | ) |
| static

## ◆ type()

const char * GMTNearNeighborGrid::type | ( |  | ) | const
| inline

## ◆ usePar()

bool GMTNearNeighborGrid::usePar | ( | const IOPar & |  | ) |
| override virtual

Reimplemented from Array2DInterpol.

## Member Data Documentation

## ◆ radius_

float GMTNearNeighborGrid::radius_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025